Index: serefpolicy-contrib-20140730/rsync.te
===================================================================
--- serefpolicy-contrib-20140730.orig/rsync.te
+++ serefpolicy-contrib-20140730/rsync.te
@@ -6,67 +6,45 @@ policy_module(rsync, 1.13.0)
 #
 
 ## <desc>
-##	<p>
-##	Determine whether rsync can use
-##	cifs file systems.
-##	</p>
+## <p>
+## Allow rsync to run as a client
+## </p>
 ## </desc>
-gen_tunable(rsync_use_cifs, false)
+gen_tunable(rsync_client, false)
 
 ## <desc>
-##	<p>
-##	Determine whether rsync can
-##	use fuse file systems.
-##	</p>
+## <p>
+## Allow rsync to export any files/directories read only.
+## </p>
 ## </desc>
-gen_tunable(rsync_use_fusefs, false)
+gen_tunable(rsync_export_all_ro, false)
 
 ## <desc>
-##	<p>
-##	Determine whether rsync can use
-##	nfs file systems.
-##	</p>
+## <p>
+## Allow rsync to modify public files
+## used for public file transfer services.  Files/Directories must be
+## labeled public_content_rw_t.
+## </p>
 ## </desc>
-gen_tunable(rsync_use_nfs, false)
+gen_tunable(rsync_anon_write, false)
 
 ## <desc>
 ##	<p>
-##	Determine whether rsync can
-##	run as a client
+##	Allow rsync server to manage all files/directories on the system.
 ##	</p>
 ## </desc>
-gen_tunable(rsync_client, false)
+gen_tunable(rsync_full_access, false)
 
-## <desc>
-##	<p>
-##	Determine whether rsync can
-##	export all content read only.
-##	</p>
-## </desc>
-gen_tunable(rsync_export_all_ro, false)
-
-## <desc>
-##	<p>
-##	Determine whether rsync can modify
-##	public files used for public file
-##	transfer services. Directories/Files must
-##	be labeled public_content_rw_t.
-##	</p>
-## </desc>
-gen_tunable(allow_rsync_anon_write, false)
-
-attribute_role rsync_roles;
 
 type rsync_t;
 type rsync_exec_t;
-init_daemon_domain(rsync_t, rsync_exec_t)
-application_domain(rsync_t, rsync_exec_t)
-role rsync_roles types rsync_t;
+application_executable_file(rsync_exec_t)
+role system_r types rsync_t;
 
 type rsync_etc_t;
 files_config_file(rsync_etc_t)
 
-type rsync_data_t; # customizable
+type rsync_data_t;
 files_type(rsync_data_t)
 
 type rsync_log_t;
@@ -86,15 +64,25 @@ files_pid_file(rsync_var_run_t)
 allow rsync_t self:capability { chown dac_read_search dac_override fowner fsetid setuid setgid sys_chroot };
 allow rsync_t self:process signal_perms;
 allow rsync_t self:fifo_file rw_fifo_file_perms;
-allow rsync_t self:tcp_socket { accept listen };
+allow rsync_t self:tcp_socket create_stream_socket_perms;
+allow rsync_t self:udp_socket connected_socket_perms;
+
+# for identd
+# cjp: this should probably only be inetd_child_t rules?
+# search home and kerberos also.
+allow rsync_t self:netlink_tcpdiag_socket r_netlink_socket_perms;
+#end for identd
 
-allow rsync_t rsync_etc_t:file read_file_perms;
+read_files_pattern(rsync_t, rsync_etc_t, rsync_etc_t)
 
 allow rsync_t rsync_data_t:dir list_dir_perms;
-allow rsync_t rsync_data_t:file read_file_perms;
-allow rsync_t rsync_data_t:lnk_file read_lnk_file_perms;
+read_files_pattern(rsync_t, rsync_data_t, rsync_data_t)
+read_lnk_files_pattern(rsync_t, rsync_data_t, rsync_data_t)
+allow rsync_t rsync_data_t:dir_file_class_set getattr;
+allow rsync_t rsync_data_t:socket_class_set getattr;
+allow rsync_t rsync_data_t:sock_file setattr;
 
-allow rsync_t rsync_log_t:file { append_file_perms create_file_perms setattr_file_perms };
+manage_files_pattern(rsync_t, rsync_log_t, rsync_log_t)
 logging_log_filetrans(rsync_t, rsync_log_t, file)
 
 manage_dirs_pattern(rsync_t, rsync_tmp_t, rsync_tmp_t)
@@ -108,91 +96,80 @@ kernel_read_kernel_sysctls(rsync_t)
 kernel_read_system_state(rsync_t)
 kernel_read_network_state(rsync_t)
 
-corenet_all_recvfrom_unlabeled(rsync_t)
 corenet_all_recvfrom_netlabel(rsync_t)
 corenet_tcp_sendrecv_generic_if(rsync_t)
+corenet_udp_sendrecv_generic_if(rsync_t)
 corenet_tcp_sendrecv_generic_node(rsync_t)
+corenet_udp_sendrecv_generic_node(rsync_t)
+corenet_tcp_sendrecv_all_ports(rsync_t)
+corenet_udp_sendrecv_all_ports(rsync_t)
 corenet_tcp_bind_generic_node(rsync_t)
-
-corenet_sendrecv_rsync_server_packets(rsync_t)
 corenet_tcp_bind_rsync_port(rsync_t)
-corenet_tcp_sendrecv_rsync_port(rsync_t)
+corenet_sendrecv_rsync_server_packets(rsync_t)
 
 dev_read_urand(rsync_t)
 
-fs_getattr_all_fs(rsync_t)
+fs_getattr_xattr_fs(rsync_t)
 fs_search_auto_mountpoints(rsync_t)
 
 files_search_home(rsync_t)
 
-auth_can_read_shadow_passwords(rsync_t)
 auth_use_nsswitch(rsync_t)
 
 logging_send_syslog_msg(rsync_t)
 
-miscfiles_read_localization(rsync_t)
 miscfiles_read_public_files(rsync_t)
 
-tunable_policy(`allow_rsync_anon_write',`
-	miscfiles_manage_public_files(rsync_t)
+userdom_home_manager(rsync_t)
+
+optional_policy(`
+	daemontools_service_domain(rsync_t, rsync_exec_t)
 ')
 
-tunable_policy(`rsync_client',`
-	corenet_sendrecv_rsync_client_packets(rsync_t)
-	corenet_tcp_connect_rsync_port(rsync_t)
+optional_policy(`
+	kerberos_use(rsync_t)
+')
 
-	corenet_sendrecv_ssh_client_packets(rsync_t)
-	corenet_tcp_connect_ssh_port(rsync_t)
-	corenet_tcp_sendrecv_ssh_port(rsync_t)
+optional_policy(`
+	inetd_service_domain(rsync_t, rsync_exec_t)
+')
 
-	manage_dirs_pattern(rsync_t, rsync_data_t, rsync_data_t)
-	manage_files_pattern(rsync_t, rsync_data_t, rsync_data_t)
-	manage_lnk_files_pattern(rsync_t, rsync_data_t, rsync_data_t)
+tunable_policy(`rsync_anon_write',`
+	miscfiles_manage_public_files(rsync_t)
+')
+
+tunable_policy(`rsync_full_access',`
+	allow rsync_t self:capability { dac_override dac_read_search };
+	files_manage_non_auth_files(rsync_t)
 ')
 
 tunable_policy(`rsync_export_all_ro',`
-	fs_read_noxattr_fs_files(rsync_t)
+	files_getattr_all_pipes(rsync_t)
+	fs_read_noxattr_fs_files(rsync_t) 
 	fs_read_nfs_files(rsync_t)
-	fs_read_fusefs_files(rsync_t)
 	fs_read_cifs_files(rsync_t)
-	files_list_non_auth_dirs(rsync_t)
-	files_read_non_auth_files(rsync_t)
-	files_read_non_auth_symlinks(rsync_t)
+	files_read_non_security_files(rsync_t)
 	auth_tunable_read_shadow(rsync_t)
 ')
 
-tunable_policy(`rsync_use_cifs',`
-	fs_list_cifs(rsync_t)
-	fs_read_cifs_files(rsync_t)
-	fs_read_cifs_symlinks(rsync_t)
-')
-
-tunable_policy(`rsync_use_fusefs',`
-	fs_search_fusefs(rsync_t)
-	fs_read_fusefs_files(rsync_t)
-	fs_read_fusefs_symlinks(rsync_t)
-')
-
-tunable_policy(`rsync_use_nfs',`
-	fs_list_nfs(rsync_t)
-	fs_read_nfs_files(rsync_t)
-	fs_read_nfs_symlinks(rsync_t)
+tunable_policy(`rsync_client',`
+	corenet_tcp_connect_rsync_port(rsync_t)
+	corenet_tcp_connect_ssh_port(rsync_t)
+	manage_dirs_pattern(rsync_t, rsync_data_t, rsync_data_t)
+	manage_files_pattern(rsync_t, rsync_data_t, rsync_data_t)
+	manage_lnk_files_pattern(rsync_t, rsync_data_t, rsync_data_t)
 ')
 
 optional_policy(`
 	tunable_policy(`rsync_client',`
-		ssh_exec(rsync_t)
+		ssh_exec(rsync_t) 
 	')
 ')
 
-optional_policy(`
-	daemontools_service_domain(rsync_t, rsync_exec_t)
-')
-
-optional_policy(`
-	kerberos_use(rsync_t)
-')
+auth_can_read_shadow_passwords(rsync_t)
 
 optional_policy(`
-	inetd_service_domain(rsync_t, rsync_exec_t)
+	swift_manage_data_files(rsync_t)
+    swift_manage_lock(rsync_t)
+    swift_filetrans_named_lock(rsync_t)
 ')
Index: serefpolicy-contrib-20140730/rtas.fc
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/rtas.fc
@@ -0,0 +1,13 @@
+/usr/lib/systemd/system/rtas_errd.*   --  gen_context(system_u:object_r:rtas_errd_unit_file_t,s0)
+
+/usr/sbin/rtas_errd    --  gen_context(system_u:object_r:rtas_errd_exec_t,s0)
+
+/var/lock/subsys/rtas_errd  --  gen_context(system_u:object_r:rtas_errd_var_lock_t)
+/var/lock/.*librtas  --  gen_context(system_u:object_r:rtas_errd_var_lock_t)
+
+/var/log/rtas_errd.*    --  gen_context(system_u:object_r:rtas_errd_log_t)
+/var/log/platform.*   --  gen_context(system_u:object_r:rtas_errd_log_t)
+/var/log/epow_status.*    --  gen_context(system_u:object_r:rtas_errd_log_t)
+
+/var/run/rtas_errd.*     --     gen_context(system_u:object_r:rtas_errd_var_run_t,s0)
+
Index: serefpolicy-contrib-20140730/rtas.if
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/rtas.if
@@ -0,0 +1,162 @@
+
+## <summary>Platform diagnostics report firmware events.</summary>
+
+########################################
+## <summary>
+##	Execute rtas_errd in the rtas_errd domin.
+## </summary>
+## <param name="domain">
+## <summary>
+##	Domain allowed to transition.
+## </summary>
+## </param>
+#
+interface(`rtas_errd_domtrans',`
+	gen_require(`
+		type rtas_errd_t, rtas_errd_exec_t;
+	')
+
+	corecmd_search_bin($1)
+	domtrans_pattern($1, rtas_errd_exec_t, rtas_errd_t)
+')
+
+########################################
+## <summary>
+##	Read rtas_errd's log files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+## <rolecap/>
+#
+interface(`rtas_errd_read_log',`
+	gen_require(`
+		type rtas_errd_log_t;
+	')
+
+	logging_search_logs($1)
+	read_files_pattern($1, rtas_errd_log_t, rtas_errd_log_t)
+')
+
+########################################
+## <summary>
+##	Append to rtas_errd log files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`rtas_errd_append_log',`
+	gen_require(`
+		type rtas_errd_log_t;
+	')
+
+	logging_search_logs($1)
+	append_files_pattern($1, rtas_errd_log_t, rtas_errd_log_t)
+')
+
+########################################
+## <summary>
+##	Manage rtas_errd log files
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`rtas_errd_manage_log',`
+	gen_require(`
+		type rtas_errd_log_t;
+	')
+
+	logging_search_logs($1)
+	manage_dirs_pattern($1, rtas_errd_log_t, rtas_errd_log_t)
+	manage_files_pattern($1, rtas_errd_log_t, rtas_errd_log_t)
+	manage_lnk_files_pattern($1, rtas_errd_log_t, rtas_errd_log_t)
+')
+
+########################################
+## <summary>
+##	Read rtas_errd PID files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`rtas_errd_read_pid_files',`
+	gen_require(`
+		type rtas_errd_var_run_t;
+	')
+
+	files_search_pids($1)
+	read_files_pattern($1, rtas_errd_var_run_t, rtas_errd_var_run_t)
+')
+
+########################################
+## <summary>
+##	Execute rtas_errd server in the rtas_errd domain.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed to transition.
+##	</summary>
+## </param>
+#
+interface(`rtas_errd_systemctl',`
+	gen_require(`
+		type rtas_errd_t;
+		type rtas_errd_unit_file_t;
+	')
+
+	systemd_exec_systemctl($1)
+    systemd_read_fifo_file_passwd_run($1)
+	allow $1 rtas_errd_unit_file_t:file read_file_perms;
+	allow $1 rtas_errd_unit_file_t:service manage_service_perms;
+
+	ps_process_pattern($1, rtas_errd_t)
+')
+
+
+########################################
+## <summary>
+##	All of the rules required to administrate
+##	an rtas_errd environment
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`rtas_errd_admin',`
+	gen_require(`
+		type rtas_errd_t;
+		type rtas_errd_log_t, rtas_errd_var_run_t;
+    	type rtas_errd_unit_file_t;
+	')
+
+	allow $1 rtas_errd_t:process { ptrace signal_perms };
+	ps_process_pattern($1, rtas_errd_t)
+
+	logging_search_logs($1)
+	admin_pattern($1, rtas_errd_log_t)
+
+	files_search_pids($1)
+	admin_pattern($1, rtas_errd_var_run_t)
+
+	rtas_errd_systemctl($1)
+	admin_pattern($1, rtas_errd_unit_file_t)
+	allow $1 rtas_errd_unit_file_t:service all_service_perms;
+
+	optional_policy(`
+		systemd_passwd_agent_exec($1)
+		systemd_read_fifo_file_passwd_run($1)
+	')
+')
Index: serefpolicy-contrib-20140730/rtas.te
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/rtas.te
@@ -0,0 +1,95 @@
+policy_module(rtas, 1.0.0)
+
+########################################
+#
+# Declarations
+#
+
+type rtas_errd_t;
+type rtas_errd_exec_t;
+init_daemon_domain(rtas_errd_t, rtas_errd_exec_t)
+
+type rtas_errd_log_t;
+logging_log_file(rtas_errd_log_t)
+
+type rtas_errd_var_run_t;
+files_pid_file(rtas_errd_var_run_t)
+
+type rtas_errd_var_lock_t;
+files_lock_file(rtas_errd_var_lock_t)
+
+type rtas_errd_unit_file_t;
+systemd_unit_file(rtas_errd_unit_file_t)
+
+type rtas_errd_tmp_t;
+files_tmp_file(rtas_errd_tmp_t)
+
+type rtas_errd_tmpfs_t;
+files_tmpfs_file(rtas_errd_tmpfs_t)
+
+########################################
+#
+# rtas_errd local policy
+#
+
+allow rtas_errd_t self:capability { net_admin chown sys_admin };
+allow rtas_errd_t self:process { fork signull };
+allow rtas_errd_t self:fifo_file rw_fifo_file_perms;
+allow rtas_errd_t self:unix_stream_socket create_stream_socket_perms;
+
+manage_dirs_pattern(rtas_errd_t, rtas_errd_log_t, rtas_errd_log_t)
+manage_files_pattern(rtas_errd_t, rtas_errd_log_t, rtas_errd_log_t)
+manage_lnk_files_pattern(rtas_errd_t, rtas_errd_log_t, rtas_errd_log_t)
+logging_log_filetrans(rtas_errd_t, rtas_errd_log_t, { dir file lnk_file })
+
+manage_files_pattern(rtas_errd_t,rtas_errd_var_lock_t,rtas_errd_var_lock_t)
+manage_lnk_files_pattern(rtas_errd_t,rtas_errd_var_lock_t,rtas_errd_var_lock_t)
+files_lock_filetrans(rtas_errd_t,rtas_errd_var_lock_t, { dir file } )
+
+manage_dirs_pattern(rtas_errd_t, rtas_errd_var_run_t, rtas_errd_var_run_t)
+manage_files_pattern(rtas_errd_t, rtas_errd_var_run_t, rtas_errd_var_run_t)
+manage_lnk_files_pattern(rtas_errd_t, rtas_errd_var_run_t, rtas_errd_var_run_t)
+files_pid_filetrans(rtas_errd_t, rtas_errd_var_run_t, { dir file lnk_file })
+
+manage_files_pattern(rtas_errd_t, rtas_errd_tmp_t, rtas_errd_tmp_t)
+manage_dirs_pattern(rtas_errd_t, rtas_errd_tmp_t, rtas_errd_tmp_t)
+files_tmp_filetrans(rtas_errd_t, rtas_errd_tmp_t, { file dir })
+
+manage_files_pattern(rtas_errd_t, rtas_errd_tmpfs_t, rtas_errd_tmpfs_t)
+manage_dirs_pattern(rtas_errd_t, rtas_errd_tmpfs_t, rtas_errd_tmpfs_t)
+fs_tmpfs_filetrans(rtas_errd_t, rtas_errd_tmpfs_t, { file dir })
+
+kernel_read_all_sysctls(rtas_errd_t)
+kernel_read_system_state(rtas_errd_t)
+kernel_read_network_state(rtas_errd_t)
+
+domain_read_all_domains_state(rtas_errd_t)
+
+auth_use_nsswitch(rtas_errd_t)
+
+corecmd_exec_bin(rtas_errd_t)
+
+dev_read_rand(rtas_errd_t)
+dev_read_urand(rtas_errd_t)
+dev_read_raw_memory(rtas_errd_t)
+dev_write_raw_memory(rtas_errd_t)
+dev_read_sysfs(rtas_errd_t)
+dev_rw_nvram(rtas_errd_t)
+
+files_manage_system_db_files(rtas_errd_t)
+
+logging_send_syslog_msg(rtas_errd_t)
+logging_read_generic_logs(rtas_errd_t)
+
+optional_policy(`
+    hostname_exec(rtas_errd_t)
+')
+
+optional_policy(`
+    rpm_exec(rtas_errd_t)
+    rpm_dontaudit_manage_db(rtas_errd_t)
+')
+
+optional_policy(`
+    unconfined_domain(rtas_errd_t)
+')
Index: serefpolicy-contrib-20140730/rtkit.if
===================================================================
--- serefpolicy-contrib-20140730.orig/rtkit.if
+++ serefpolicy-contrib-20140730/rtkit.if
@@ -15,7 +15,6 @@ interface(`rtkit_daemon_domtrans',`
 		type rtkit_daemon_t, rtkit_daemon_exec_t;
 	')
 
-	corecmd_search_bin($1)
 	domtrans_pattern($1, rtkit_daemon_exec_t, rtkit_daemon_t)
 ')
 
@@ -42,56 +41,47 @@ interface(`rtkit_daemon_dbus_chat',`
 
 ########################################
 ## <summary>
-##	Allow rtkit to control scheduling for your process.
+##	Do not audit send and receive messages from
+##	rtkit_daemon over dbus.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
-##	Domain allowed access.
+##	Domain to not audit.
 ##	</summary>
 ## </param>
 #
-interface(`rtkit_scheduled',`
+interface(`rtkit_daemon_dontaudit_dbus_chat',`
 	gen_require(`
 		type rtkit_daemon_t;
+		class dbus send_msg;
 	')
 
-	allow rtkit_daemon_t $1:process { getsched setsched };
-
-	kernel_search_proc($1)
-	ps_process_pattern(rtkit_daemon_t, $1)
-
-	optional_policy(`
-		rtkit_daemon_dbus_chat($1)
-	')
+	dontaudit $1 rtkit_daemon_t:dbus send_msg;
+	dontaudit rtkit_daemon_t $1:dbus send_msg;
+	dontaudit rtkit_daemon_t $1:process { getsched setsched };
 ')
 
 ########################################
 ## <summary>
-##	All of the rules required to
-##	administrate an rtkit environment.
+##	Allow rtkit to control scheduling for your process
 ## </summary>
 ## <param name="domain">
 ##	<summary>
 ##	Domain allowed access.
 ##	</summary>
 ## </param>
-## <param name="role">
-##	<summary>
-##	Role allowed access.
-##	</summary>
-## </param>
-## <rolecap/>
 #
-interface(`rtkit_admin',`
+interface(`rtkit_scheduled',`
 	gen_require(`
-		type rtkit_daemon_t, rtkit_daemon_initrc_exec_t;
+		type rtkit_daemon_t;
 	')
 
-	allow $1 rtkit_daemon_t:process { ptrace signal_perms };
-	ps_process_pattern($1, rtkit_daemon_t)
+	allow rtkit_daemon_t $1:process { getsched setsched };
+
+	kernel_search_proc($1)
+	ps_process_pattern(rtkit_daemon_t, $1)
 
-	init_labeled_script_domtrans($1, rtkit_daemon_initrc_exec_t)
-	domain_system_change_exemption($1)
-	role_transition $2 rtkit_daemon_initrc_exec_t system_r;
-	allow $2 system_r;
+	optional_policy(`
+		rtkit_daemon_dbus_chat($1)
+	')
 ')
Index: serefpolicy-contrib-20140730/rtkit.te
===================================================================
--- serefpolicy-contrib-20140730.orig/rtkit.te
+++ serefpolicy-contrib-20140730/rtkit.te
@@ -31,8 +31,6 @@ auth_use_nsswitch(rtkit_daemon_t)
 
 logging_send_syslog_msg(rtkit_daemon_t)
 
-miscfiles_read_localization(rtkit_daemon_t)
-
 optional_policy(`
 	dbus_system_domain(rtkit_daemon_t, rtkit_daemon_exec_t)
 
Index: serefpolicy-contrib-20140730/rwho.if
===================================================================
--- serefpolicy-contrib-20140730.orig/rwho.if
+++ serefpolicy-contrib-20140730/rwho.if
@@ -139,8 +139,11 @@ interface(`rwho_admin',`
 		type rwho_initrc_exec_t;
 	')
 
-	allow $1 rwho_t:process { ptrace signal_perms };
+	allow $1 rwho_t:process signal_perms;
 	ps_process_pattern($1, rwho_t)
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 rwho_t:process ptrace;
+	')
 
 	init_labeled_script_domtrans($1, rwho_initrc_exec_t)
 	domain_system_change_exemption($1)
Index: serefpolicy-contrib-20140730/rwho.te
===================================================================
--- serefpolicy-contrib-20140730.orig/rwho.te
+++ serefpolicy-contrib-20140730/rwho.te
@@ -16,7 +16,7 @@ type rwho_log_t;
 files_type(rwho_log_t)
 
 type rwho_spool_t;
-files_type(rwho_spool_t)
+files_spool_file(rwho_spool_t)
 
 ########################################
 #
@@ -38,7 +38,6 @@ files_spool_filetrans(rwho_t, rwho_spool
 
 kernel_read_system_state(rwho_t)
 
-corenet_all_recvfrom_unlabeled(rwho_t)
 corenet_all_recvfrom_netlabel(rwho_t)
 corenet_udp_sendrecv_generic_if(rwho_t)
 corenet_udp_sendrecv_generic_node(rwho_t)
@@ -50,15 +49,13 @@ corenet_udp_sendrecv_rwho_port(rwho_t)
 
 domain_use_interactive_fds(rwho_t)
 
-files_read_etc_files(rwho_t)
 
 init_read_utmp(rwho_t)
 init_dontaudit_write_utmp(rwho_t)
 
 logging_send_syslog_msg(rwho_t)
 
-miscfiles_read_localization(rwho_t)
-
 sysnet_dns_name_resolve(rwho_t)
 
-# userdom_getattr_user_terminals(rwho_t)
+userdom_getattr_user_terminals(rwho_t)
+
Index: serefpolicy-contrib-20140730/samba.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/samba.fc
+++ serefpolicy-contrib-20140730/samba.fc
@@ -1,42 +1,55 @@
-/etc/rc\.d/init\.d/nmb	--	gen_context(system_u:object_r:samba_initrc_exec_t,s0)
-/etc/rc\.d/init\.d/smb	--	gen_context(system_u:object_r:samba_initrc_exec_t,s0)
-/etc/rc\.d/init\.d/winbind	--	gen_context(system_u:object_r:samba_initrc_exec_t,s0)
-
-/etc/samba/MACHINE\.SID	--	gen_context(system_u:object_r:samba_secrets_t,s0)
-/etc/samba/passdb\.tdb	--	gen_context(system_u:object_r:samba_secrets_t,s0)
-/etc/samba/secrets\.tdb	--	gen_context(system_u:object_r:samba_secrets_t,s0)
-/etc/samba/smbpasswd	--	gen_context(system_u:object_r:samba_secrets_t,s0)
-/etc/samba(/.*)?	gen_context(system_u:object_r:samba_etc_t,s0)
-
-/usr/bin/net	--	gen_context(system_u:object_r:samba_net_exec_t,s0)
-/usr/bin/ntlm_auth	--	gen_context(system_u:object_r:winbind_helper_exec_t,s0)
-/usr/bin/smbcontrol	--	gen_context(system_u:object_r:smbcontrol_exec_t,s0)
-/usr/bin/smbmount	--	gen_context(system_u:object_r:smbmount_exec_t,s0)
-/usr/bin/smbmnt	--	gen_context(system_u:object_r:smbmount_exec_t,s0)
-
-/usr/sbin/swat	--	gen_context(system_u:object_r:swat_exec_t,s0)
-/usr/sbin/nmbd	--	gen_context(system_u:object_r:nmbd_exec_t,s0)
-/usr/sbin/smbd	--	gen_context(system_u:object_r:smbd_exec_t,s0)
-/usr/sbin/winbindd	--	gen_context(system_u:object_r:winbind_exec_t,s0)
 
-/var/cache/samba(/.*)?	gen_context(system_u:object_r:samba_var_t,s0)
-/var/cache/samba/winbindd_privileged(/.*)?	gen_context(system_u:object_r:winbind_var_run_t,s0)
-
-/var/lib/samba(/.*)?	gen_context(system_u:object_r:samba_var_t,s0)
-/var/lib/samba/winbindd_privileged(/.*)?	gen_context(system_u:object_r:winbind_var_run_t,s0)
-
-/var/log/samba(/.*)?	gen_context(system_u:object_r:samba_log_t,s0)
+#
+# /etc
+#
+/etc/rc\.d/init\.d/nmb		--	gen_context(system_u:object_r:samba_initrc_exec_t,s0)
+/etc/rc\.d/init\.d/smb		--	gen_context(system_u:object_r:samba_initrc_exec_t,s0)
+/etc/rc\.d/init\.d/winbind	--	gen_context(system_u:object_r:samba_initrc_exec_t,s0)
+/etc/samba/MACHINE\.SID		--	gen_context(system_u:object_r:samba_secrets_t,s0)
+/etc/samba/passdb\.tdb		--	gen_context(system_u:object_r:samba_secrets_t,s0)
+/etc/samba/secrets\.tdb		--	gen_context(system_u:object_r:samba_secrets_t,s0)
+/etc/samba/smbpasswd		--	gen_context(system_u:object_r:samba_secrets_t,s0)
+/etc/samba(/.*)?			gen_context(system_u:object_r:samba_etc_t,s0)
+
+#
+# /usr
+#
+/usr/lib/systemd/system/smb.* 	--	gen_context(system_u:object_r:samba_unit_file_t,s0)
+/usr/lib/systemd/system/nmb.*   --      gen_context(system_u:object_r:samba_unit_file_t,s0)
+/usr/lib/systemd/system/winbind.*   --  gen_context(system_u:object_r:samba_unit_file_t,s0)
+
+/usr/bin/net			--	gen_context(system_u:object_r:samba_net_exec_t,s0)
+/usr/bin/ntlm_auth		--	gen_context(system_u:object_r:winbind_helper_exec_t,s0)
+/usr/bin/smbcontrol		--	gen_context(system_u:object_r:smbcontrol_exec_t,s0)
+/usr/bin/smbmount		--	gen_context(system_u:object_r:smbmount_exec_t,s0)
+/usr/bin/smbmnt			--	gen_context(system_u:object_r:smbmount_exec_t,s0)
+
+/usr/sbin/swat			--	gen_context(system_u:object_r:swat_exec_t,s0)
+/usr/sbin/nmbd			--	gen_context(system_u:object_r:nmbd_exec_t,s0)
+/usr/sbin/smbd			--	gen_context(system_u:object_r:smbd_exec_t,s0)
+/usr/sbin/winbindd		--	gen_context(system_u:object_r:winbind_exec_t,s0)
+
+#
+# /var
+#
+/var/cache/samba(/.*)?			gen_context(system_u:object_r:samba_var_t,s0)
+/var/cache/samba/winbindd_privileged(/.*)? gen_context(system_u:object_r:winbind_var_run_t,s0)
+
+/var/nmbd(/.*)?				gen_context(system_u:object_r:samba_var_t,s0)
+
+/var/lib/samba(/.*)?			gen_context(system_u:object_r:samba_var_t,s0)
+/var/lib/samba/winbindd_privileged(/.*)? gen_context(system_u:object_r:winbind_var_run_t,s0)
 
-/var/nmbd(/.*)?	gen_context(system_u:object_r:samba_var_t,s0)
+/var/log/samba(/.*)?			gen_context(system_u:object_r:samba_log_t,s0)
 
-/var/run/nmbd(/.*)?	gen_context(system_u:object_r:nmbd_var_run_t,s0)
-/var/run/samba/nmbd(/.*)?	gen_context(system_u:object_r:nmbd_var_run_t,s0)
+/var/run/nmbd(/.*)?			gen_context(system_u:object_r:nmbd_var_run_t,s0)
+/var/run/samba/nmbd(/.*)?			gen_context(system_u:object_r:nmbd_var_run_t,s0)
 
-/var/run/samba(/.*)?	gen_context(system_u:object_r:smbd_var_run_t,s0)
+/var/run/samba(/.*)?			gen_context(system_u:object_r:smbd_var_run_t,s0)
 /var/run/samba/brlock\.tdb	--	gen_context(system_u:object_r:smbd_var_run_t,s0)
 /var/run/samba/connections\.tdb	--	gen_context(system_u:object_r:smbd_var_run_t,s0)
 /var/run/samba/gencache\.tdb	--	gen_context(system_u:object_r:smbd_var_run_t,s0)
-/var/run/samba/locking\.tdb --	gen_context(system_u:object_r:smbd_var_run_t,s0)
+/var/run/samba/locking\.tdb 	--	gen_context(system_u:object_r:smbd_var_run_t,s0)
 /var/run/samba/messages\.tdb	--	gen_context(system_u:object_r:nmbd_var_run_t,s0)
 /var/run/samba/namelist\.debug	--	gen_context(system_u:object_r:nmbd_var_run_t,s0)
 /var/run/samba/nmbd\.pid	--	gen_context(system_u:object_r:nmbd_var_run_t,s0)
@@ -45,7 +58,11 @@
 /var/run/samba/smbd\.pid	--	gen_context(system_u:object_r:smbd_var_run_t,s0)
 /var/run/samba/unexpected\.tdb	--	gen_context(system_u:object_r:nmbd_var_run_t,s0)
 
-/var/run/winbindd(/.*)?	gen_context(system_u:object_r:winbind_var_run_t,s0)
-/var/run/samba/winbindd(/.*)?	gen_context(system_u:object_r:winbind_var_run_t,s0)
+/var/run/samba/winbindd(/.*)?		gen_context(system_u:object_r:winbind_var_run_t,s0)
+/var/run/winbindd(/.*)?			gen_context(system_u:object_r:winbind_var_run_t,s0)
+
+/var/spool/samba(/.*)?			gen_context(system_u:object_r:samba_spool_t,s0)
 
-/var/spool/samba(/.*)?	gen_context(system_u:object_r:samba_var_t,s0)
+ifndef(`enable_mls',`
+/var/lib/samba/scripts(/.*)?		gen_context(system_u:object_r:samba_unconfined_script_exec_t,s0)
+')
Index: serefpolicy-contrib-20140730/sambagui.te
===================================================================
--- serefpolicy-contrib-20140730.orig/sambagui.te
+++ serefpolicy-contrib-20140730/sambagui.te
@@ -28,14 +28,14 @@ corecmd_exec_shell(sambagui_t)
 
 dev_dontaudit_read_urand(sambagui_t)
 
-files_read_usr_files(sambagui_t)
+files_search_var_lib(sambagui_t)
 
 auth_use_nsswitch(sambagui_t)
 auth_dontaudit_read_shadow(sambagui_t)
 
-logging_send_syslog_msg(sambagui_t)
+init_access_check(sambagui_t)
 
-miscfiles_read_localization(sambagui_t)
+logging_send_syslog_msg(sambagui_t)
 
 sysnet_use_ldap(sambagui_t)
 
@@ -61,6 +61,7 @@ optional_policy(`
 	samba_manage_var_files(sambagui_t)
 	samba_read_secrets(sambagui_t)
 	samba_initrc_domtrans(sambagui_t)
+	samba_systemctl(sambagui_t)
 	samba_domtrans_smbd(sambagui_t)
 	samba_domtrans_nmbd(sambagui_t)
 ')
